#!/bin/zsh

echo "========================"
echo "      Setup Script      "
echo "========================"

# Check if running on macOS or Linux
if [[ "$(uname)" == "Darwin" ]]; then
    OS="macOS"
elif [[ "$(uname)" == "Linux" ]]; then
    OS="Linux"
else
    error "Unsupported OS: $(uname)"
    exit 1
fi

success "Detected OS: $OS"

if [[ "$OS" == "macOS" ]]; then
  echo "==========================="
  echo "      Installing Brew      "
  echo "==========================="

  /bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"


else
  echo "Maybe someday Linux..."
fi
